Subject: [Detnet-dp-dt] Fwd: Re: On IPv6 headers

From: Jouni Korhonen <[email-masked]>
Date: Wed, 2 Mar 2016 09:04:11 -0800

forgot to add the list..

-------- Välitetty viesti / Fwd.Msg --------
Aihe: 	Re: On IPv6 headers
Päiväys: 	Wed, 2 Mar 2016 09:01:50 -0800
Lähettäjä: 	Jouni Korhonen <[email-masked]>
Vastaanottaja: 	Pascal Thubert (pthubert) <[email-masked]>

Hi Pascal,

3/2/2016, 7:35 AM, Pascal Thubert (pthubert) kirjoitti:
>
> Hello Jouni
>
> I added text in section 3.1.2 to discuss the applicability of IPv6
> option headers, pages 7 and 8, f you would make a quick review?
>
Ok. Let's try to squeeze that in.
>
> I refrained from changing it but the following text is not fully
> correct about route optimization, the option is used all the time.
>
If you are using HA-MN reverse tunneling for data packets, no options
are needed.
>
> “
>
>        Actually, Mobile IPv6 [RFC6275] had a similar
>
>       issue in case of route optimization. Sourcing packets with the
>
>       home address that is not topologically correct in the visited
>
>       network was solved using a specific Home Address option.
>
> “
>
> I’d propose to refocus a bit, something like:
>
> “
>
> An alternate to IP tunneling along segments would be protect the
> original source address in a destination option similar to the Home
> Address option [RFC6275] and then place the address of the replication
> point as source in the IP header.
>
> “
>
> What do you think?
>
> Pascal
>
- Jouni

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Wed, 2 Mar 2016 17:38:21 +0000

Same response then, the option is used in non RO flows (normal BUs) but that's not important for this draft. Do you agree with my proposed changes or similar ? If so would you do the edit or should I?

Pascal

> Le 2 mars 2016 à 18:04, Jouni Korhonen <[email-masked]> a écrit :
> 
> forgot to add the list..
> 
> 
> _______________________________________________
> Detnet-dp-dt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet-dp-dt

---

From: Jouni Korhonen <[email-masked]>
Date: Wed, 2 Mar 2016 09:47:10 -0800

The proposed changed text is much better than what I had.

- Jouni